Package com.independentsoft.office.odf.charts

# Class Serie

java.lang.Object
com.independentsoft.office.odf.charts.Serie

All Implemented Interfaces:
  `IContentElement`

public class Serie extends Object implements IContentElement
Represents a data series in a chart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Serie()`
  Initializes a new instance of the Serie class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Serie`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getAttachedAxis()`
  Gets the data series.
  `List<Category>`
  `getCategories()`
  Gets a collection of Category objects.
  `String`
  `getCellRange()`
  Gets a cell range that contains the values that should be visualized by that data series.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `List<DataPoint>`
  `getDataPoints()`
  Gets a collection of DataPoint objects.
  `List<Domain>`
  `getDomains()`
  Gets a collection of Domain objects.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getStyle()`
  Gets name that reference style mechanisms.
  `ChartType`
  `getType()`
  Sets the chart type.
  `void`
  `setAttachedAxis​(String attachedAxis)`
  Sets the data series.
  `void`
  `setCellRange​(String cellRange)`
  Sets a cell range that contains the values that should be visualized by that data series.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setStyle​(String style)`
  Sets name that reference style mechanisms.
  `void`
  `setType​(ChartType type)`
  Sets the chart type.
  `String`
  `toString()`
  Converts the value of the current Serie object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Serie

    public Serie()
    Initializes a new instance of the Serie class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Serie clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Serie object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getCellRange

    public String getCellRange()
    Gets a cell range that contains the values that should be visualized by that data series.
    Returns:
      the cell range

  - ### setCellRange

    public void setCellRange​(String cellRange)
    Sets a cell range that contains the values that should be visualized by that data series.
    Parameters:
      `cellRange` - the new cell range

  - ### getStyle

    public String getStyle()
    Gets name that reference style mechanisms.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets name that reference style mechanisms.
    Parameters:
      `style` - the new style

  - ### getAttachedAxis

    public String getAttachedAxis()
    Gets the data series.
    Returns:
      the attached axis

  - ### setAttachedAxis

    public void setAttachedAxis​(String attachedAxis)
    Sets the data series.
    Parameters:
      `attachedAxis` - the new attached axis

  - ### getType

    public ChartType getType()
    Sets the chart type.
    Returns:
      the type

  - ### setType

    public void setType​(ChartType type)
    Sets the chart type.
    Parameters:
      `type` - the new type

  - ### getDataPoints

    public List<DataPoint> getDataPoints()
    Gets a collection of DataPoint objects.
    Returns:
      the data points

  - ### getDomains

    public List<Domain> getDomains()
    Gets a collection of Domain objects.
    Returns:
      the domains

  - ### getCategories

    public List<Category> getCategories()
    Gets a collection of Category objects.
    Returns:
      the categories